#!/usr/bin/perl
# $Id: user_desc.pl,v 1.2 2000/08/31 20:56:58 asun Exp $
#
# handle changes to the description field. this also honors the
# desc_readonly field.
#
# Copyright (c) 2000 Cobalt Networks
# author: asun@cobalt.com

use strict;
use lib qw( /usr/sausalito/perl );
use Sauce::Config;
use CCE;

my $cce = new CCE;
$cce->connectfd();

my $obj = $cce->event_object();

`echo "blah" > /tmp/log`;
if ($obj->{desc_readonly}) {
    $cce->bye('FAIL', '[[base-user.descReadOnly]]');
    exit 1;
}

my ($uid, $gid, $path) = (getpwnam($obj->{name}))[2, 3, 7];
$path .= '/.plan';
`echo "$path" >> /tmp/log`;
if (open(PLAN, ">$path")) {
    print PLAN "$obj->{description}";
    close(PLAN);
}
chown($uid, $gid, $path);
chmod(0644, $path);
`echo "success" >> /tmp/log`;
$cce->bye('SUCCESS');
exit 0;
